# Seedream V4

## seedream-v4-image-to-image

> A new-generation image creation model ByteDance, Seedream 4.0 integrates image generation and image editing capabilities into a single, unified architecture.

````json
{"openapi":"3.1.0","info":{"title":"API Reference","version":"1.0.0"},"tags":[{"name":"seedream-v4"}],"servers":[{"url":"https://image.onerouter.pro","description":"Image"}],"security":[],"paths":{"/v1/images/edits":{"post":{"summary":"seedream-v4-image-to-image","deprecated":false,"description":"A new-generation image creation model ByteDance, Seedream 4.0 integrates image generation and image editing capabilities into a single, unified architecture.","tags":["seedream-v4"],"parameters":[{"name":"Authorization","in":"header","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"model":{"type":"string","description":"The model name"},"prompt":{"type":"string","description":"The text prompt used to generate the image"},"size":{"type":"string","description":"The size of the generated image. The minimum total image area is 921600 pixels. Failing this, the image size will be adjusted to by scaling it up, while maintaining the aspect ratio.\n\nPossible enum values: `square_hd`, `square`, `portrait_4_3`, `portrait_16_9`, `landscape_4_3`, `landscape_16_9`, `auto, auto_2K`, `auto_4K`\n\nNote: For custom image sizes, you can pass the width and height as an object:\n```json\n\"image_size\": {\n  \"width\": 1280,\n  \"height\": 720\n}\n```","enum":["square_hd","square","portrait_4_3","portrait_16_9","landscape_4_3","landscape_16_9","auto","auto_2K","auto_4K"],"default":"auto"},"seed":{"type":"integer","description":"Random seed to control the stochasticity of image generation."},"enable_safety_checker":{"type":"boolean","description":"If set to true, the safety checker will be enabled. Default value: `false`","default":false},"enhance_prompt_mode":{"type":"string","description":"The mode to use for enhancing prompt enhancement. Standard mode provides higher quality results but takes longer to generate. Fast mode provides average quality results but takes less time to generate. Default value: `\"standard\"`\n\nPossible enum values: `standard`, `fast`","enum":["standard","fast"],"default":"standard"},"image_urls":{"type":"array","items":{"type":"string"},"description":"List of URLs of input images for editing. Presently, up to 10 image inputs are allowed. If over 10 images are sent, only the last 10 will be used."},"n":{"type":"integer","description":"n  is the number of images to generate, default value is `1`.","default":1,"minimum":1},"output_format":{"type":"string","description":"output_format indicate the output format, default value is `url`.","default":"url","enum":["url","b64_json"]}},"required":["prompt","model","image_urls"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string"},"b64_json":{"type":"string"},"revised_prompt":{"type":"string"}}}},"created":{"type":"integer"}},"required":["data","created"]}}},"headers":{}}}}}}}
````
